﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

using Syncfusion.UI.Xaml.Charts;
using System.Collections.ObjectModel;
//using Syncfusion.UI.Xaml.Controls.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace RuntimeComponent1
{
    public sealed partial class MyUserControl1 : UserControl, INotifyPropertyChanged
    {
      public MyUserControl1()
        {
            this.InitializeComponent();
            this.DataContext = this;

        }

        private List<GoldDemand> _demands = new List<GoldDemand>();
        public IList<GoldDemand> Demands
        {
            get
            {
                RaisePropertyChanged("Demands");
                return this._demands;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }

    }



    public sealed class GoldDemand : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
        private string demand;
        public string Demand
        {
            get
            {
                return demand;
            }
            set
            {
                demand = value;
                //RaisePropertyChanged("Demand");
            }
        }
        private double year2010;
        public double Year2010
        {
            get
            {
                return year2010;
            }
            set
            {
                year2010 = value;
                //RaisePropertyChanged("Year2010");
            }
        }
    }
}
